# List Payments by Patient Account Endpoint: GET /patient/{client_id}/account/{account_id}/payment Version: v1 Security: x-api-key, a-api-key ## Query parameters: - `page` (integer) Example: 1 - `page_size` (integer) Example: 50 - `sort_by` (array) Comma separated search fields. See Sorting Example: ["[\"field_name\",\"field_name\"]"] - `q[]` (array) Filter result by one or more fields. See Query Filtering Available filters: | Value | Format | |---|---| | total | double | | unallocated | double | | invoice_item_id | integer | | created | timestamp | | updated | timestamp | | payment_date | date | ## Path parameters: - `client_id` (integer, required) - `account_id` (integer, required) ## Response 200 fields (application/json): - `payments` (array) - `payments.row_num` (integer) - `payments.total_rows` (integer) - `payments.links` (object) - `payments.links.self` (string) Example: "https://api.pracsuite.com/v1/payment/1" - `payments.tenant_id` (integer) - `payments.payment_id` (integer) - `payments.client_id` (integer) - `payments.account_id` (integer) - `payments.payment_time` (string) ISO 8601 local datetime in the tenant's timezone. Example: "2026-01-01T12:05:30" - `payments.payment_type` (string) - `payments.total` (number) - `payments.allocated` (number) - `payments.business_id` (integer) - `payments.user_id` (integer) - `payments.card_type` (string) - `payments.notes` (string) - `payments.payer_id` (integer) - `payments.created` (string) RFC 3339 UTC date-time (Z) with microsecond precision. Example: "2020-09-12T11:09:42.687393Z" - `payments.updated` (string) RFC 3339 UTC date-time (Z) with microsecond precision. Example: "2020-09-12T11:09:42.687393Z" - `payments.created_by_user_id` (integer) - `payments.updated_by_user_id` (integer) - `payments.payment_items` (array) - `payments.payment_items.invoice_id` (integer) - `payments.payment_items.invoice_item_id` (integer) - `payments.payment_items.allocated_time` (string) RFC 3339 UTC date-time (Z) with microsecond precision. Example: "2020-09-12T11:09:42.687393Z" - `payments.payment_items.amount` (number) - `payments.payment_items.gst` (number) - `total_entries` (integer) ## Response 400 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 400 - `error.code` (string) Example: "INVALID_PARAMS" - `error.detail` (string) Human readable explanation of the error Example: "One or more request parameters are invalid." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 401 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 403 - `error.code` (string) Example: "UNAUTHORIZED" - `error.detail` (string) Human readable explanation of the error Example: "Access could not be verified for this request." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 403 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 403 - `error.code` (string) Example: "MISSING_AUTHENTICATION_TOKEN" - `error.detail` (string) Human readable explanation of the error Example: "Authentication token is missing or the requested endpoint does not exist" - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 404 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 404 - `error.code` (string) Example: "NOT_FOUND" - `error.detail` (string) Human readable explanation of the error Example: "Could not find {Resource} with ID {ID_HERE}" - `request_id` (string) Example: "00000000-0000-0000-0000-000000000000" ## Response 500 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 500 - `error.code` (string) Example: "SERVER_ERROR" - `error.detail` (string) Human readable explanation of the error Example: "An unexpected error occurred while processing your request. Please try again in a few minutes. If it keeps happening, contact support with Request ID: 00000000-0000-0000-0000-000000000000." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000"